### org.jfree.layouting.input.style.parser.stylehandler.color

# Class ColorReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.color.ColorReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  ColumnRuleColorReadHandler, TextLineColorReadHandler

`public class ColorReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Creation-Date: 26.11.2005, 20:22:46

Author:
  Thomas Morgner

  ## Constructor Summary

  `ColorReadHandler()`

  ## Method Summary

  `static CSSValue`

  `createColorValue(LexicalUnit value)`

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

## Constructor Details

### ColorReadHandler

    public ColorReadHandler()

## Method Details

### createColorValue

    public static CSSValue createColorValue(LexicalUnit value)

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler